| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::SearchWindow Class Reference
Inheritance diagram for Digikam::SearchWindow:

## Signals
void | searchEdited (int id, const QString &query)
| Signals that the user has finished editing the search.

## Public Member Functions
| SearchWindow ()
| Create a new SearchWindow with an empty advanced search.
void | readSearch (int id, const QString &query)
| Read the given search into the search widgets.
void | reset ()
| Reset the search widget to an empty search.
QString | search () const
| Returns the currently produced search string.

## Protected Slots
void | searchCancel ()
void | searchOk ()
void | searchTryout ()

## Protected Member Functions
void | keyPressEvent (QKeyEvent *) override

## Member Function Documentation

## ◆ readSearch()

void Digikam::SearchWindow::readSearch | ( | int | id,
|  | const QString & | query
| ) |  |

The id will be emitted with the searchEdited signal.

## ◆ reset()

void Digikam::SearchWindow::reset | ( |  | ) |

Current id is -1.

## ◆ searchEdited

void Digikam::SearchWindow::searchEdited | ( | int | id,
|  | const QString & | query
| ) |  |
| signal

The given query is the same as search().